#ifndef __VPCALC_Z80_FLAGS_H
#define __VPCALC_Z80_FLAGS_H

// SZ?H?VNC

#define	CFLAG	0x01		// carry flag
#define cFLAG	0xFE
#define NFLAG	0x02		// add/sub flag
#define nFLAG	0xFD
#define VFLAG	0x04		// parity/overflow flag
#define vFLAG	0xFB
#define XFLAG	0x08		// bit 3 flag
#define xFLAG	0xF7
#define HFLAG	0x10		// half-carry flag
#define hFLAG	0xEF
#define YFLAG	0x20		// bit 5 flag
#define yFLAG	0xDF
#define ZFLAG	0x40		// zero flag
#define zFLAG	0xBF
#define SFLAG	0x80		// sign flag
#define sFLAG	0x7F

#define cnFLAG	0xFC		// flag combination mnemonics
#define cnhFLAG	0xEC
#define nhFLAG	0xED
#define nvFLAG	0xF9
#define nvhFLAG	0xE9
#define nzFLAG	0xBD
#define hzFLAG	0xAF
#define CNFLAG	0x03
#define CNHFLAG	0x13
#define NVFLAG	0x06
#define NHFLAG	0x12
#define HZFLAG	0x50
#define NZFLAG	0x42

#define BITS35	0x28		// bits 5 & 3 set
#define bits35	0xD7		// all but bits 5 & 3 set

#define VALMASK	0xA8		// bits 7, 5, & 3

#endif
