#ifndef __VPCALC_DEVICE_H
#define __VPCALC_DEVICE_H

#include <SDL_keysym.h>

typedef void *device_o;

device_o device_new(mem_o mem, gfx_o gfx);
void device_del(device_o device);

void device_keydown(device_o device, SDLKey key);
void device_keyup(device_o device, SDLKey key);

void device_out(device_o device, uint port, uint data);
uint device_in(device_o device, uint port);

void device_map_sleep(device_o device, int *ptr);

#endif
